PDA

Visualizza la versione completa : vlc Problem


Bomberjava
23-07-2007, 11:33
Ciao ragazzi,
ho installato Archlinux sul computer fisso di casa e purtroppo qnd apro un file video con vlc sento solo l'audio, non vedo il video ed ottengo questo errore in shell:

[00000288] main decoder error: no suitable decoder module for fourcc `XVID'.
VLC probably does not support this sound or video format.
[00000324] a52 decoder: A/52 channels:6 samplerate:48000 bitrate:320000
No accelerated IMDCT transform found

Qualcuno di voi sa a cosa può essere dovuto e come eventualmente correggerlo? Il codec "xvid" è correttamente installato. E cmq ho la stessa distro installata sul portatile, con la stessa configurazione e VLC ha sempre funzionato benissimo...

Grazie e Ciao a Tutti!!!

sacarde
23-07-2007, 13:43
ma altri filmati li vedi ?

Bomberjava
23-07-2007, 13:45
No, filmati di nessun tipo.. Anche codificati con formati diversi dal XVID... Per questo che credo che il problema non sia che manchi il codec XVIC, nonostante ne sono certo che questo sia installato..

sacarde
23-07-2007, 13:52
hai fatto un

pacman -Syu

?

weseven
23-07-2007, 14:36
è un problema noto,a volte si presenta a volte no.
non dipende dai codecs,comunque.
installando da pacman la versione di vlc il video non funziona,sembra che non siano attivati correttamente i codec ffmpeg.
per risolverlo basta compilare la versione di vlc da abs.
dai # abs per aggiornare il tree di abs,spostati in /var/abs/extra/multimedia/vlc/ ,e dai # makepkg.
finito di compilare,installa il pacchetto con pacman -U pacchetto.
(in caso,copiati il pacchetto nella home,nel caso un aggiornamento da pacman riporti il problema)
:ciauz:

Bomberjava
23-07-2007, 15:52
Ok, proverò e poi ti dico...
Intanto grazie mille....
Ciao!!!

Bomberjava
24-07-2007, 13:49
Ho fatto come hai detto tu... ho installato il pacchetto compilato da me, dopo aver naturalmente rimosso quello precompilato..
Adesso non mi da più l'errore, vedo la schermata video in vlc ma purtroppo rimane nera mentre sento l'audio in sottofondo....
Ho una scheda video ati e uso i driver open source, non quelli proprietari. Inoltre utilizzo Beryl con AIXGL.
Da cosa potrebbe dipendere dipendere?? Dici che potrebbe esserci un problema nell'installazione di ffmpeg??
Grazie e Ciao!!!

weseven
24-07-2007, 18:34
il problema con vlc dovrebbe essere risolto.
penso proprio dipenda da beryl+aiglx,fai una prova disattivandoli.

Jardel
24-07-2007, 18:41
sicuramente è beryl che interferisce! disattivalo e vedi se è lui.. dopo di che dato che anche io ho avuto un problema del genere scrissi una guida per risolvere sto problema di beryl/compiz e la visione dei video per i vari player.. la trovi qui (http://thedevelopers.netsons.org/?p=242)

ciau!

Bomberjava
24-07-2007, 18:43
Infatti il problema è proprio beryl!
Disattivandolo funziona alla grande.....
Ora proverò a leggere questa guida a vedere se riesco a sistemare...
Intanto vi ringrazio molto.....
Ciao!!!!

Loading